import { IProtocolRepository } from '../../domain/repositories/IProtocolRepository';
import { TelephoneProtocol } from '../../domain/entities/TelephoneProtocol';

export class GetAllProtocolsUseCase {
  constructor(private protocolRepository: IProtocolRepository) {}

  async execute(): Promise<TelephoneProtocol[]> {
    return this.protocolRepository.findAll();
  }
}
